%define api_version 1
%define lib_major   114
%define lib_name    %mklibname gsf- %{api_version} %{lib_major}
%define gi_name     %mklibname gsf-gir %{api_version}
%define develname   %mklibname -d gsf- %{api_version}

%define url_ver     %(echo %{version}|cut -d. -f1,2)

Summary: GNOME Structured File library
Name: libgsf
Version: 1.14.23
Release: %mkrel 2
Epoch: 1
Group: System/Libraries
License: LGPLv2
Source0: http://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
URL: http://www.gnumeric.org
BuildRequires: pkgconfig(gdk-pixbuf-2.0)
BuildRequires: pkgconfig(glib-2.0) >= 2.16.0
BuildRequires: pkgconfig(gobject-2.0) >= 2.16.0
BuildRequires: pkgconfig(libxml-2.0) >= 2.4.16
BuildRequires: pkgconfig(pygobject-2.0) >= 2.10.0
BuildRequires: pkgconfig(gobject-introspection-1.0) >= 0.6.4
BuildRequires: pygtk2.0-devel
BuildRequires: gtk-doc
BuildRequires: intltool

%description
A library for reading and writing structured files (eg MS OLE and Zip).

%package -n %{lib_name}
Summary:  %{summary}
Group: %{group}

%description -n %{lib_name}
A library for reading and writing structured files (eg MS OLE and Zip).

%package -n %develname
Summary: Support files necessary to compile applications with libgsf
Group: Development/C
Requires: %{lib_name} = %epoch:%{version}
Provides: %{name}-%{api_version}-devel = %epoch:%{version}-%{release}
Provides: %{name}-devel = %epoch:%{version}-%{release}
Obsoletes: %mklibname -d gsf- 1 114

%description -n %develname
Libraries, headers, and support files necessary to compile
applications using libgsf.

%package -n %{gi_name}
Summary:	GObject Introspection interface library for libgsf
Group:		System/Libraries
Conflicts:	gir-repository < 0.6.5-12.1
Requires:	%{lib_name} = %epoch:%{version}-%{release}

%description -n %{gi_name}
GObject Introspection interface library for libgsf.

%prep
%setup -q

%build
%configure2_5x --enable-gtk-doc --disable-static
%make

%install
%makeinstall_std

# remove unpackaged files
rm -rf $RPM_BUILD_ROOT%{_datadir}/doc/libgsf
rm -f %{buildroot}%{_libdir}/*.la
%find_lang libgsf

%files -f libgsf.lang
%doc README
%_bindir/gsf
%_bindir/gsf-vba-dump
%{_bindir}/gsf-office-thumbnailer
%{_datadir}/thumbnailers/gsf-office.thumbnailer
%{_mandir}/man1/*

%files -n %{lib_name}
%doc AUTHORS COPYING README
%{_libdir}/libgsf*-%{api_version}.so.%{lib_major}*

%files -n %develname
%doc %{_datadir}/gtk-doc/html/gsf
%{_datadir}/gir-1.0/Gsf-%{api_version}.gir
%{_libdir}/*.so
%{_includedir}/*
%{_libdir}/pkgconfig/*

%files -n %{gi_name}
%{_libdir}/girepository-1.0/Gsf-%{api_version}.typelib


%changelog

* Fri Apr 20 2012 fwang <fwang> 1:1.14.23-2.mga2
+ Revision: 232013
- fix required version

* Fri Apr 20 2012 ovitters <ovitters> 1:1.14.23-1.mga2
+ Revision: 231971
- update buildrequires
- drop python-libgsf (nothing requires it, deprecated upstream)
- package gobject introspection
- clean spec
- update source url
- new version 1.14.23

* Sat Dec 17 2011 fwang <fwang> 1:1.14.22-1.mga2
+ Revision: 183102
- cleanup br and file list
- new version 1.14.22

* Thu Sep 15 2011 fwang <fwang> 1:1.14.21-2.mga2
+ Revision: 143773
- drop .la files

* Thu Jul 14 2011 fwang <fwang> 1:1.14.21-1.mga2
+ Revision: 124002
- new version 1.14.20

* Sat Apr 16 2011 pterjan <pterjan> 1:1.14.20-1.mga1
+ Revision: 86695
- Update to 1.14.20

* Tue Jan 18 2011 pterjan <pterjan> 1:1.14.19-3.mga1
+ Revision: 21869
- Rebuild for python 2.7

  + mikala <mikala>
    - Drop mdk macros
    - imported package libgsf

